untrusted comment: verify with openbsd-68-base.pub
RWQZj25CSG5R2jXT18ljuReFZuJ/Z0SvbsE0t0V2fRrwG5ly83RhICQ2dRaSJWA76OzM/bQj/u1DPZDHtbDA5Ivr2iTj6EApuwg=

OpenBSD 6.8 errata 001, October 29, 2020:

In bgpd, the roa-set parser could leak memory.

Apply by doing:
    signify -Vep /etc/signify/openbsd-68-base.pub -x 001_bgpd.patch.sig \
        -m - | (cd /usr/src && patch -p0)

And then rebuild and install bgpd:
    cd /usr/src/usr.sbin/bgpd
    make obj
    make
    make install

Index: usr.sbin/bgpd/parse.y
===================================================================
RCS file: /cvs/src/usr.sbin/bgpd/parse.y,v
retrieving revision 1.408
diff -u -p -r1.408 parse.y
--- usr.sbin/bgpd/parse.y	10 May 2020 13:38:46 -0000	1.408
+++ usr.sbin/bgpd/parse.y	26 Oct 2020 21:31:05 -0000
@@ -4513,6 +4513,8 @@ add_roa_set(struct prefixset_item *npsi,
 	psi = RB_INSERT(prefixset_tree, curpsitree, npsi);
 	if (psi == NULL)
 		psi = npsi;
+	else
+		free(npsi);
 
 	if (psi->set == NULL)
 		if ((psi->set = set_new(1, sizeof(rs))) == NULL)
